//*****************************************************************************
//* A40 Driver PIC32MX575F512H
//* WRITTEN BY FRED EADY
//* NO USB SUPPORT IN THIS VERSION
//* COMPILED USING XC32 v1.40 - MPLABX v3.26
//* LAST UPDATE	04/22/2016
//* NOTES:
//*****************************************************************************
#ifndef TDELAY_H
#define	TDELAY_H

#ifdef	__cplusplus
extern "C" {
#endif

void tdelayms(unsigned int ms);
void tdelayus(unsigned int us);

#define GetSystemClock()            80000000UL
#define GetPeripheralClock()        80000000UL
#define CoreTicksPerMs              (GetSystemClock() / 2000)
#define CoreTicksPeruS              (GetSystemClock() / 2000000UL)

#ifdef	__cplusplus
}
#endif

#endif	/* TDELAY_H */

