//*****************************************************************************
//* A40 Driver PIC32MX575F512H
//* WRITTEN BY FRED EADY
//* NO USB SUPPORT IN THIS VERSION
//* COMPILED USING XC32 v1.40 - MPLABX v3.26
//* LAST UPDATE	04/22/2016
//* NOTES:
//*****************************************************************************

#ifndef MICROSD_DRIVER_H
#define	MICROSD_DRIVER_H

#ifdef	__cplusplus
extern "C" {
#endif
 
//*****************************************************************************
// PROTOTYPES
//*****************************************************************************
void init(void);
BYTE recvchar1(void);
BYTE recvchar2(void);
BYTE recvchar4(void);
BYTE recvchar5(void);
BYTE recvchar6(void);
BYTE CharInQueue1(void);
BYTE CharInQueue2(void);
BYTE CharInQueue4(void);
BYTE CharInQueue5(void);
BYTE CharInQueue6(void);
void readFileAscii(BYTE filenum);
void readFile(BYTE filenum);
void newFile(BYTE filenum);
void writeFile(BYTE filenum);
WORD getFileSize(BYTE fileNum);
void listFile(void);
void idle(void);

#ifdef	__cplusplus
}
#endif

#endif	/* MICROSD_DRIVER_H */

