//*****************************************************************************
//* OpenLog DRIVER FOR PIC32MX595F512H
//* WRITTEN BY FRED EADY
//* NO USB SUPPORT IN THIS VERSION
//* COMPILED USING XC32 v1.34 - MPLABX v3.05
//* LAST UPDATE	08/17/2015
//* NOTES:
//*****************************************************************************

#ifndef CCSMACROS_H
#define	CCSMACROS_H

#ifdef	__cplusplus
extern "C" {
#endif

#define bitset(var, bitno) ((var) |= 1 << (bitno))
#define bitclr(var, bitno) ((var) &= ~(1 << (bitno)))
#define make8(var,offset)	((unsigned short)var >> (offset * 8)) & 0x00FF
#define	make16(varhigh,varlow)	(((unsigned short)varhigh & 0xFF)* 0x100) + ((unsigned int)varlow & 0x00FF)
#define make32(var1,var2,var3,var4) \
		((unsigned int)var1<<24)+((unsigned int)var2<<16)+ \
		((unsigned int)var3<<8)+((unsigned int)var4)
#define make32i(var1,var2) ((unsigned int)var1<<16)+((unsigned int)var2)




#ifdef	__cplusplus
}
#endif

#endif	/* CCSMACROS_H */

