//*****************************************************************************
//* A40 Driver PIC32MX575F512H
//* WRITTEN BY FRED EADY
//* NO USB SUPPORT IN THIS VERSION
//* COMPILED USING XC32 v1.40 - MPLABX v3.26
//* LAST UPDATE	04/22/2016
//* NOTES:
//*****************************************************************************
#include <xc.h>
#include <sys/attribs.h>
#include <GenericTypeDefs.h>
#include "tdelay.h"

DWORD __attribute__((nomips16)) ReadCoreTimer(void)
{
    DWORD timer;
    timer = __builtin_mfc0(9, 0);
    return timer;
}
//******************************************************************************
//* MS DELAY
//******************************************************************************
void tdelayms(unsigned int ms)
{
	unsigned int msDelayTime;
	__builtin_mtc0 (9,0,0x00000000u);
	msDelayTime = (CoreTicksPerMs * ms);
    while(ReadCoreTimer() < msDelayTime);
}
//******************************************************************************
//* uS DELAY
//******************************************************************************
void tdelayus(unsigned int us)
{
	unsigned int usDelayTime;
	__builtin_mtc0 (9,0,0x00000000u);
	usDelayTime = (CoreTicksPeruS * us);
  	while(ReadCoreTimer() < usDelayTime);
}

